> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withflock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Rewards



## OpenAPI

````yaml get /rewards
openapi: 3.0.0
info:
  title: Flock API
  description: API Documentation for Flock
  version: '1.0'
  contact: {}
servers:
  - url: https://api-dev.withflock.com
security: []
tags: []
paths:
  /rewards:
    get:
      tags:
        - Reward
      operationId: RewardController_listRewardRecords
      parameters:
        - name: customerId
          required: true
          in: query
          schema:
            type: string
        - name: campaignId
          required: false
          in: query
          schema:
            type: string
        - name: status
          required: false
          in: query
          schema:
            enum:
              - pending
              - fulfilled
              - claimed
            type: string
      responses:
        '200':
          description: ''
      security:
        - accessKey: []
components:
  securitySchemes:
    accessKey:
      type: apiKey
      in: header
      name: Authorization

````